Skip to main content
GET
/
api
/
integrations
/
v1
ListIntegrations
curl --request GET \
  --url https://developer.synq.io/api/integrations/v1 \
  --header 'Authorization: Bearer <token>'
{
  "integrations": [
    {
      "id": "<string>",
      "title": "<string>",
      "disabled": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "etag": "<string>",
      "config": {
        "athena": {
          "accessKey": {
            "accessKeyId": "<string>",
            "secretAccessKey": "<string>"
          },
          "region": "<string>",
          "workgroup": "<string>",
          "useShowCreateTable": true,
          "useShowCreateView": true,
          "fetchQueryLogs": true,
          "useIcebergMetricsScan": true,
          "scope": {
            "include": [
              {
                "database": "<string>",
                "schema": "<string>",
                "table": "<string>"
              }
            ],
            "exclude": [
              {
                "database": "<string>",
                "schema": "<string>",
                "table": "<string>"
              }
            ]
          }
        }
      },
      "outputs": {
        "athena": {
          "accountId": "<string>",
          "principalArn": "<string>"
        }
      },
      "capabilities": {
        "canPatch": true,
        "canRefresh": true,
        "canDisable": true,
        "canEnable": true,
        "canDelete": true
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

disabled
boolean

Optional filter: when set, return only enabled (false) or only disabled (true) integrations. Unset means both.

Response

200 - application/json

Success

Response with the workspace's integrations.

integrations
Integration · object[]

All integrations matching the request.